TableDialog Class Reference

Column options dialog. More...

`#include <TableDialog.h>`

Inheritance diagram for TableDialog:

## Signals

void | changeWidth (const QString &, bool)
void | enumRightCols (bool)
void | nameChanged (const QString &)

## Public Member Functions

| TableDialog (Table *t, QWidget *parent, Qt::WFlags fl=0)

## Private Slots

void | accept ()
void | apply ()
void | nextColumn ()
void | prevColumn ()
void | setColumnWidth (int width)
void | setDayFormat (const QString &format, bool allRightColumns)
void | setMonthFormat (const QString &format, bool allRightColumns)
void | setNumericFormat (int type, int prec, bool allRightColumns)
void | setPlotDesignation (int i)
void | showPrecisionBox (int item)
void | updateColumn (int)
void | updateDisplay (int item)
void | updatePrecision (int prec)

## Private Member Functions

void | closeEvent (QCloseEvent *)
void | setDateTimeFormat (int type, const QString &format, bool allRightColumns)
void | setTextFormat (bool allRightColumns)

## Private Attributes

QCheckBox * | applyToAllBox
QCheckBox * | applyToRightCols
QCheckBox * | boxHideColumn
QCheckBox * | boxReadOnly
QCheckBox * | boxShowTableComments
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonNext
QPushButton * | buttonOk
QPushButton * | buttonPrev
QLineEdit * | colName
QComboBox * | columnsBox
QSpinBox * | colWidth
QTextEdit * | comments
Table * | d_table
QComboBox * | displayBox
QCheckBox * | enumerateAllBox
QComboBox * | formatBox
QLabel * | labelFormat
QLabel * | labelNumeric
QSpinBox * | precisionBox

## Detailed Description

Column options dialog.

## Constructor & Destructor Documentation

TableDialog::TableDialog | ( | Table * | t,
|  | QWidget * | parent,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), apply(), applyToAllBox, applyToRightCols, boxHideColumn, boxReadOnly, boxShowTableComments, buttonApply, buttonCancel, buttonNext, buttonOk, buttonPrev, colName, columnsBox, colWidth, comments, Table::commentsEnabled(), d_table, displayBox, enumerateAllBox, formatBox, labelFormat, labelNumeric, nextColumn(), precisionBox, prevColumn(), Table::selectedColumn(), setColumnWidth(), setPlotDesignation(), updateColumn(), updateDisplay(), and updatePrecision().

## Member Function Documentation

void TableDialog::accept | ( |  | ) |

private slot

References apply().

Referenced by TableDialog().

void TableDialog::apply | ( |  | ) |

private slot

References applyToAllBox, applyToRightCols, boxHideColumn, boxReadOnly, colName, colWidth, comments, d_table, displayBox, enumerateAllBox, formatBox, Table::hideColumn(), Table::numCols(), precisionBox, Table::selectedColumn(), Table::setColComment(), Table::setColName(), Table::setColumnWidth(), setDateTimeFormat(), setDayFormat(), setMonthFormat(), setNumericFormat(), Table::setReadOnlyColumn(), and setTextFormat().

Referenced by accept(), nextColumn(), prevColumn(), and TableDialog().

void TableDialog::changeWidth | ( | const QString & | ,
|  | bool |
| ) |  |

signal

void TableDialog::closeEvent | ( | QCloseEvent * | ce | ) |

private

References d_table, and Table::freeMemory().

void TableDialog::enumRightCols | ( | bool |  | ) |

signal

void TableDialog::nameChanged | ( | const QString & |  | ) |

signal

void TableDialog::nextColumn | ( |  | ) |

private slot

References apply(), d_table, Table::selectedColumn(), and updateColumn().

Referenced by TableDialog().

void TableDialog::prevColumn | ( |  | ) |

private slot

References apply(), d_table, Table::selectedColumn(), and updateColumn().

Referenced by TableDialog().

void TableDialog::setColumnWidth | ( | int | width | ) |

private slot

References applyToAllBox, d_table, Table::setColumnWidth(), and Table::setHeaderColType().

Referenced by TableDialog().

void TableDialog::setDateTimeFormat | ( | int | type,
|  | const QString & | format,
|  | bool | allRightColumns
| ) |  |

private

References d_table, Table::Date, formatBox, Table::numCols(), Table::selectedColumn(), Table::setDateFormat(), Table::setTimeFormat(), and Table::Time.

Referenced by apply().

void TableDialog::setDayFormat | ( | const QString & | format,
|  | bool | allRightColumns
| ) |  |

private slot

References d_table, Table::numCols(), Table::selectedColumn(), and Table::setDayFormat().

Referenced by apply().

void TableDialog::setMonthFormat | ( | const QString & | format,
|  | bool | allRightColumns
| ) |  |

private slot

References d_table, Table::numCols(), Table::selectedColumn(), and Table::setMonthFormat().

Referenced by apply().

void TableDialog::setNumericFormat | ( | int | type,
|  | int | prec,
|  | bool | allRightColumns
| ) |  |

private slot

References d_table, Table::numCols(), Table::selectedColumn(), and Table::setColNumericFormat().

Referenced by apply(), and updatePrecision().

void TableDialog::setPlotDesignation | ( | int | i | ) |

private slot

References applyToRightCols, d_table, displayBox, Table::Label, Table::setPlotDesignation(), and updateDisplay().

Referenced by TableDialog().

void TableDialog::setTextFormat | ( | bool | allRightColumns | ) |

private

References d_table, Table::numCols(), Table::selectedColumn(), and Table::setTextFormat().

Referenced by apply().

void TableDialog::showPrecisionBox | ( | int | item | ) |

private slot

References precisionBox.

void TableDialog::updateColumn | ( | int | sc | ) |

private slot

References boxHideColumn, boxReadOnly, buttonNext, buttonPrev, Table::colLabel(), colName, Table::colPlotDesignation(), Table::columnFormat(), Table::columnNumericFormat(), columnsBox, Table::columnType(), Table::columnWidth(), colWidth, Table::comment(), comments, d_table, Table::Date, Table::Day, displayBox, formatBox, Table::isColumnHidden(), Table::isReadOnlyColumn(), Table::Label, Table::Month, Table::numCols(), Table::Numeric, precisionBox, Table::saveToMemory(), Table::setSelectedCol(), Table::table(), Table::Time, and updateDisplay().

Referenced by nextColumn(), prevColumn(), and TableDialog().

void TableDialog::updateDisplay | ( | int | item | ) |

private slot

References formatBox, labelFormat, labelNumeric, and precisionBox.

Referenced by setPlotDesignation(), TableDialog(), and updateColumn().

void TableDialog::updatePrecision | ( | int | prec | ) |

private slot

References applyToRightCols, formatBox, and setNumericFormat().

Referenced by TableDialog().

## Member Data Documentation

QCheckBox* TableDialog::applyToAllBox

private

Referenced by apply(), setColumnWidth(), and TableDialog().

QCheckBox* TableDialog::applyToRightCols

private

Referenced by apply(), setPlotDesignation(), TableDialog(), and updatePrecision().

QCheckBox * TableDialog::boxHideColumn

private

Referenced by apply(), TableDialog(), and updateColumn().

QCheckBox * TableDialog::boxReadOnly

private

Referenced by apply(), TableDialog(), and updateColumn().

QCheckBox* TableDialog::boxShowTableComments

private

Referenced by TableDialog().

QPushButton* TableDialog::buttonApply

private

Referenced by TableDialog().

QPushButton* TableDialog::buttonCancel

private

Referenced by TableDialog().

QPushButton* TableDialog::buttonNext

private

Referenced by TableDialog(), and updateColumn().

QPushButton* TableDialog::buttonOk

private

Referenced by TableDialog().

QPushButton* TableDialog::buttonPrev

private

Referenced by TableDialog(), and updateColumn().

QLineEdit* TableDialog::colName

private

Referenced by apply(), TableDialog(), and updateColumn().

QComboBox* TableDialog::columnsBox

private

Referenced by TableDialog(), and updateColumn().

QSpinBox* TableDialog::colWidth

private

Referenced by apply(), TableDialog(), and updateColumn().

QTextEdit* TableDialog::comments

private

Referenced by apply(), TableDialog(), and updateColumn().

Table* TableDialog::d_table

private

Referenced by apply(), closeEvent(), nextColumn(), prevColumn(), setColumnWidth(), setDateTimeFormat(), setDayFormat(), setMonthFormat(), setNumericFormat(), setPlotDesignation(), setTextFormat(), TableDialog(), and updateColumn().

QComboBox* TableDialog::displayBox

private

Referenced by apply(), setPlotDesignation(), TableDialog(), and updateColumn().

QCheckBox* TableDialog::enumerateAllBox

private

Referenced by apply(), and TableDialog().

QComboBox* TableDialog::formatBox

private

Referenced by apply(), setDateTimeFormat(), TableDialog(), updateColumn(), updateDisplay(), and updatePrecision().

QLabel * TableDialog::labelFormat

private

Referenced by TableDialog(), and updateDisplay().

QLabel* TableDialog::labelNumeric

private

Referenced by TableDialog(), and updateDisplay().

QSpinBox * TableDialog::precisionBox

private

Referenced by apply(), showPrecisionBox(), TableDialog(), updateColumn(), and updateDisplay().

The documentation for this class was generated from the following files:

- qtiplot/src/table/TableDialog.h
- qtiplot/src/table/TableDialog.cpp